Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class WhileStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.WhileStatement

    public class WhileStatement

extends Statement

Represents a while (condition) { ... } loop in Groovy

Version:
  $Revision: 15759 $
Author:
  James Strachan

Constructor Summary
`WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getLoopBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `setLoopBlock(Statement loopBlock)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhileStatement

    public WhileStatement(BooleanExpression booleanExpression,
                          Statement loopBlock)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getLoopBlock

    public Statement getLoopBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setLoopBlock

    public void setLoopBlock(Statement loopBlock)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD